Video Screencast Help

Upgrade from 7.0 to 7.0.1

Created: 20 Nov 2012 • Updated: 12 Feb 2013 | 20 comments
This issue has been solved. See solution.

Hi friends

I have downloaded NetBackup_7.0_CLIENTS_GA.tar.gz from https://fileconnect.symantec.com.

I want to upgrade the Netbackup client from 7.0 to 7.0.1.

Kindly let me know the procedure to be followed.

Thank You

Comments 20 CommentsJump to latest comment

Deepak G's picture

Its just the patch. You need to download the latest patch from the following link based on your OS.

http://www.symantec.com/business/support/index?page=content&id=TECH139088

Do the following with root previlage.

UNTAR the file using tar -xf command then run NB_update.install

 

Nagalla's picture

when you already have the 7.0 , you does not need the one that you have dowloaded from filenet..

 

check the below link to download the 7.0.1 , you can choose based on your client OS in the link.

http://www.symantec.com/business/support/index?pag...

those downlaod links willh have the steps to follow.. while upgrading.. 

girish_nair1984's picture

Hi friends.

What's the difference between  NB_CLT_7.0.1.tar & NB_JAV_7.0.1.tar . Which one I should download for upgrade.

Nagalla's picture

NB_CLT_7.0.1.tar is the one... 

NB_CLT_7.0.1.tar have the client binaaries,.. and NB_JAV_7.0.1.tar will have binaries for java console, 

so you need to go with NB_CLT_7.0.1.tar for client upgrade.. 

Marianne's picture

You need BOTH Client and Java patch.

See this extract from http://www.symantec.com/docs/TECH139088 :

(REQUIRED) NB_CLT_7.0.1.tar provides updates for NetBackup 7.0 for all UNIX/Linux/Mac clients.
http://www.symantec.com/docs/TECH139132 

(REQUIRED) NB_JAV_7.0.1.tar provides an update to NetBackup 7.0 Java on UNIX/Linux platforms
http://www.symantec.com/docs/TECH139144 

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links

SOLUTION
CRZ's picture

You don't need the JAV patch if you're ONLY applying the CLT patch.  (They are only required when you are applying the server patch.)


bit.ly/76LBN | APPLBN | 75LBN

girish_nair1984's picture

Hi friends.

Host Server Symantec Netbackup Version 7.0.1

When I try to run NB_update.install  after downloading on NB_CLT_7.0.1, I was getting a error.,setup can't be completed as NB_JAV_7.0.1 package is not available. So I downloaded NB_JAV_7.0.1 and then NB_update.install.

After completing the procedure.

When I trying to login onto client, I am getting a error.

Unable to login, status :514
NB-java: bpjava-msvc is not compatible with this application version(7.0). You may try login to a different Netbackup host or exit the application. The remote Netbackup host will have to be configured with same version of Netbackup as the host you started the application on.

Kindly help.

Marianne's picture

Are you trying to logon to the Master or the Client where you have installed Client and Java patch?

Please check NBU versions on Master and Client:

cat /usr/openv/netbackup/version

cat /usr/openv/netbackup/bin/version

(Client will only have /usr/openv/netbackup/bin/version)

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links

Nagalla's picture

i just want to make sure what is your master servers version?

does it upgraded to 7.0.1 ?

 

girish_nair1984's picture

Are you trying to logon to the Master or the Client where you have installed Client and Java patch?

Me trying to logon to Client. I have installed Client and Java patch on my Client machine.

 

cat /usr/openv/netbackup/version

Master Output :

Hardware Linux _RH_X86
Version Netbackup 7.0.1
Release date thu jul 08:00:04:00 CDT 2010
BUILDNUMBER 20100707

cat /usr/openv/netbackup/bin/version

Client Output

Netbackup-Redhat2.6 7.0.1

Nagalla's picture

hi,

please provide the output of  cat  /usr/openv/pack/pack.summary also.. for both servers

girish_nair1984's picture

Output of cat  /usr/openv/pack/pack.summary on client machine

# DO NOT EDIT THIS FILE

# * means installed pack was preceded by this patch

# + means that the installed patch was installed this patch as a dependency

NB_CLT_7.0.1 installed . +NB_JAV_7.0.1

 

Output of cat  /usr/openv/pack/pack.summary on host machine

# DO NOT EDIT THIS FILE

# * means installed pack was preceded by this patch

# + means that the installed patch was installed this patch as a dependency

NB_CLT_7.0.1 installed . +NB_7.0.1 +NB_JAV_7.0.1

NB_7.0.1 installed. * NB_CLT_7.0.1

NB_JAV_7.0.1 installed .*NB_CLT_7.0.1

 

Nagalla's picture

now,

your client is also  unix

what is the windows server that you are trying to bring up the java for client.?

what is the java console installed in the windows servers ,? i guess its 7.0

you should have the 7.0.1 in the windows server also.. 

girish_nair1984's picture

Operating system of my client server & Host server is RedHat Linux.

I installed NB_JAV_7.0.1 because when I was trying to install NB_CLT_7.0.1 it was asking for NB_JAV_7.0.1 package.

 

 

Nagalla's picture

so are you trying to bring up the java console from the  RedHat Linux?

does it your work station and you are able to bring the desktop of this Redhat linux box?

could you expline me how exactly you are trying to access.. what are the servers/ OS versions , method of login and all..

girish_nair1984's picture

I am using

/usr/openv/java/jnbSA &  command on client machine(RedHat Linux) to open Netbackup Console.

We are using RedHat Linux in our servers.

Nagalla's picture

how did you login to the Redhat Linux?

if you login to the server using SSH tools like Putty, you never get java console..

you need to install the java setup on your local desktop, then from there you need to connect to the servers which ever you want to .. 

Deepak G's picture

You can try bringing up the console using the following.

/usr/openv/netbackup/bin/jnbSA &
 

Marianne's picture

Use jbpSA to logon to the client.

jnbSA is for Admin Console on the Master.

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links

girish_nair1984's picture

Even after trying to bring up the console among both mentioned command. I am getting an error

Unable to login, status :514
NB-java: bpjava-msvc is not compatible with this application version(7.0). You may try login to a different Netbackup host or exit the application. The remote Netbackup host will have to be configured with same version of Netbackup as the host you started the application on.

 

Kindly advice.